Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc.sl
Class IServeSLCommServer.SLIdentityChecker

    java.lang.Object
      ix.iserve.ipc.IServeCommServer.IdentityChecker
          ix.iserve.ipc.sl.IServeSLCommServer.SLIdentityChecker

Enclosing class:
  IServeSLCommServer

    protected class IServeSLCommServer.SLIdentityChecker

extends IServeCommServer.IdentityChecker

Field Summary
`protected java.lang.String` | `ownerKey`
`protected java.lang.String` | `ownerName`

Fields inherited from class ix.iserve.ipc.IServeCommServer.IdentityChecker
`hostAddr, hostName, password, user`

Constructor Summary
`IServeSLCommServer.SLIdentityChecker(IServeCommServer.User user)`

Method Summary
`void` | `changingIdentityCheckerFrom(IServeCommServer.IdentityChecker oldChecker)`
`void` | `checkAddMessage(MessageWrapper req)`
`protected void` | `checkMessageSource(MessageWrapper w)` Checks whether the message came from an acceptable source.
`void` | `checkRegisterRequest(MessageWrapper req)`
`void` | `init()`
`protected void` | `real_checkMessageSource(MessageWrapper w)`
`void` | `status(java.util.Date now, java.util.List<java.lang.String> lines)`

Methods inherited from class ix.iserve.ipc.IServeCommServer.IdentityChecker
`checkMessageHost, checkMessagePassword, checkMessageUUID, checkNextMessageRequest, checkSendRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ownerKey

    protected java.lang.String ownerKey

### ownerName

    protected java.lang.String ownerName

Constructor Detail

### IServeSLCommServer.SLIdentityChecker

    IServeSLCommServer.SLIdentityChecker(IServeCommServer.User user)

Method Detail

### changingIdentityCheckerFrom

    public void changingIdentityCheckerFrom(IServeCommServer.IdentityChecker oldChecker)

  Overrides:
    `changingIdentityCheckerFrom` in class `IServeCommServer.IdentityChecker`

### init

    public void init()

  Overrides:
    `init` in class `IServeCommServer.IdentityChecker`

### checkRegisterRequest

    public void checkRegisterRequest(MessageWrapper req)
                              throws HttpRequestException

  Overrides:
    `checkRegisterRequest` in class `IServeCommServer.IdentityChecker`
  Throws:
    `HttpRequestException`

### checkAddMessage

    public void checkAddMessage(MessageWrapper req)

  Overrides:
    `checkAddMessage` in class `IServeCommServer.IdentityChecker`

### status

    public void status(java.util.Date now,
                       java.util.List<java.lang.String> lines)

  Overrides:
    `status` in class `IServeCommServer.IdentityChecker`

### checkMessageSource

    protected void checkMessageSource(MessageWrapper w)
                               throws HttpRequestException

  Description copied from class: `IServeCommServer.IdentityChecker`
  Checks whether the message came from an acceptable source. If an agent (name) starts sending from a different host, for example, then this method might object unless something (such as a password) shows that it is the same agent rather than an impostor.

  This method is typically called by the public 'check' methods that check the user who sent the request to the server.

  Overrides:
    `checkMessageSource` in class `IServeCommServer.IdentityChecker`
  Throws:
    `HttpRequestException` - if the message was sent by an agent that this server does not recognise as a valid source for that message.

### real_checkMessageSource

    protected void real_checkMessageSource(MessageWrapper w)
                                    throws HttpRequestException

  Throws:
    `HttpRequestException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD